Loading...
Searching...
No Matches
DistancePreservingRigidityPenalty Class Reference
Components » Metrics

`#include <itkDistancePreservingRigidityPenaltyTerm.h>`

## Detailed Description

A penalty term designed to preserve inter-voxel distances within rigid body regions.

For more information check the paper:
J. Kim, M. M. Matuszak, K. Saitou, and J. Balter, "Distance-preserving rigidity penalty on deformable image registration of multiple skeletal components in the neck" Medical Physics, vol. 40, no. 12, pp. 121907-1 - 121907-10, December 2013.

- view online: http://www.ncbi.nlm.nih.gov/pubmed/24320518

The parameters used in this class are:

Parameters
  Metric: Select this metric as follows:
  (Metric "DistancePreservingRigidityPenalty")

Parameters
  SegmentedImageName: The file name of the image to specify the rigidity index of voxels in the fixed image. The image has only non-integer values as follows: 1) background: 0, 2) rigid region1: 1, 3) rigid region2: 2, and so on.
  - example: (SegmentedImageName "BoneSegmentation.mhd")

Parameters
  PenaltyGridSpacingInVoxels: defines the grid spacing with which the rigidity penalty is calculated. In this current version, the grid spacing is set to be constant over different resolutions.
  - In the publication above, the grid spacing was set as [4, 4, 1].

Author
  Jihun Kim, University of Michigan, Ann Arbor
  Martha M. Matuszak, University of Michigan, Ann Arbor
  Kazuhiro Saitou, University of Michigan, Ann Arbor
  James Balter, University of Michigan, Ann Arbor

Generated on 1768596610 for elastix by 1.15.0 |